
Figure - Bug #115923
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【任务管理器】打开一个应用和小窗应用，将其小窗应用卡片删除后，应用空白卡片不会自
动补齐
2023-02-06 11:15 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-06

Priority: Normal Due date: 2023-02-08

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Reproducibility: Every time Fixed Version: 2023-02-08

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、随机打开 一个应用

2、进入recent

3、打开另一个应用小窗

4、关闭该应用小窗

5、进入recent，移除步骤四中的应用卡片

【预期结果】

5、其删除后，剩余空白应用开票会自动补齐

【实际结果】

5、没有自动补齐

【复现率】

3/3

History

#1 - 2023-02-06 15:48 - CD APP-王营

- Due date set to 2023-02-08

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-07 13:47 - CD TEST-方永红

- Description updated

#3 - 2023-02-07 15:03 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交，待验证
■ My analysis

调查发现我们的刷新是在RecentsView$mTaskStackListener$onTaskRemoved中处理的，咨询小窗发现本次不会回调此方法，

而是会回调另一方法onTaskStackChanged(),根据RecentsView$mTaskStackListener 之上的注释  //Call reloadIdNeeded in onTaskStackChanged.

因此在onTaskStackChanged()中新增reloadIdNeeded()。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179884

#4 - 2023-02-07 17:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179884 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Solve the bug of incomplete task1.Solve the bug of removing the incomplete task under special circumstancesTC-RID: 1201-0205302IssueID:

TS-R-BUG-115923Change-Id: Ic09dabf144bc700d8fb8e69225d9ad9deb7ac349

#5 - 2023-02-07 17:17 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS 段小刚

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-08

- Root cause set to 编码问题

#6 - 2023-02-08 13:48 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

验证结果：小窗应用删除后，其空白应用卡片会自动补齐

#7 - 2023-02-08 13:48 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

Bug已修复，特此关闭

#8 - 2023-02-08 20:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180193 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179884


FW:Launcher:Solve the bug of incomplete task1.Solve the bug of removing the incomplete task under special circumstances2.Revert FW:Launcher:Solve the bug of

incomplete taskThis reverts commit 5baab8a2f982ed2fcc1cf1dde52f97fb19c189f3.Reason for revert: It will be accompanied by other bugs. The number of tasks in

recent is too long. After removing the tasks in the tail, it will refresh and scroll to the head againTC-RID: 1201-0205302IssueID: TS-R-BUG-115923Change-Id:

Ic8e6e783ffc961e884f9aa59c30c0feeb7e2e83e
